For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
      • GETList financial accounts
      • GETGet a financial account
      • GETGet a financial account balance
  • DAFpay
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Core ResourcesFinancial Accounts

Get a financial account

GET
/v1/financial_accounts/:id
GET
/v1/financial_accounts/:id
$curl https://api.givechariot.com/v1/financial_accounts/account_01jpjenf5q6cawy43yxfcrxhct \
> -H "Authorization: Bearer <token>"
1{
2 "id": "account_01jpjenf5q6cawy43yxfcrxhct",
3 "account_type": "disbursements",
4 "bank_provider": "mock_alpha",
5 "created_at": "2020-01-31T23:00:00Z",
6 "updated_at": "2020-01-31T23:00:00Z"
7}
Get a financial account by its unique identifier.
Was this page helpful?
Previous

Get a financial account balance

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the financial account

Response

The financial account was retrieved
idstring
The unique identifier for the account
account_typeenum
The type of account
Allowed values:
bank_providerstring
The bank provider for the account
created_atstringformat: "date-time"
The date and time the account was created
updated_atstringformat: "date-time"
The date and time the account was last updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error